% V případě ojedinělého náhodného výsledku se výsledek přepíše jako původní aktivita

function korekce = vysledna_korekce(vysledek)

korekce=vysledek;
for i=3:length(vysledek)-2
    if (vysledek(i-2)== vysledek(i-1)) && (vysledek(i-1) ~= vysledek(i))  && (vysledek(i+1) ~= vysledek(i)) && ((vysledek(i+2)== vysledek(i+1)))
        korekce(i)=vysledek(i-1);
    end
end